%GestionErroresJava Gestiona los errores que se producen al compilar
%
%Sintaxis:
%   GestionErroresJava(msg)
%Entrada:
%	msg: descripcin del error con la siguiente estructura
%        'En fichero %s, lnea %d: <descripcin del error>' 
%Salida:
%   abort: true si se aborta la compilacin
%          false en caso contrario 
%Descripcion:
%	almacena un mensaje de error y los recupera si es posible
%Ejemplo:
%   GestionErroresJava('En circuito.moo, lnea 15: Se esperaba 'end'')
%
%REVISIONES
%   03/03/09 ABP Se ha creado la funcin
function abort=GestionErroresJava(msg)
global MOO_ERRORS

%---almacenar el error
count=MOO_ERRORS.count;
count=count+1;
MOO_ERRORS.list{count}=msg;
MOO_ERRORS.count=count;    
    
if count>=MOO_ERRORS.maxNum
    %---abortar la compilacin
    abort=true;
else
    %---recovery()
    abort=false;
end
   

   
      