function fig = InterfazMatriz()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load InterfazMatriz

%Obtener dimensiones mximas de la pantalla
screen=get(0,'screensize');
ancho=screen(3);
alto=screen(4);

margenx=30;
margeny=10;
desplzy=30;

%posicion de la figura
fancho=0.8*ancho;
falto=0.8*alto;
fposicion=[(ancho-fancho)/2 (alto-falto)/2 fancho falto];

%posicion de los ejes
eancho=0.5*fancho;
%ealto=eancho;
ealto=0.7*falto;
%eposicion=[margenx 140 eancho ealto];
eposicion=[margenx 0.2*falto eancho ealto];

%posicion del texto encima de los ejes
t1ancho=fancho-2*margenx;
%t1alto=24;
t1alto=0.035*falto;
t1posicion=[margenx falto-desplzy t1ancho t1alto]; 

t2ancho=eancho;
%t2alto=24;
t2alto=t1alto;
t2posicion=[margenx t1posicion(2)-margeny-t2alto t2ancho t2alto]; 

%posicion del cuadro donde se muestran las ecuaciones
xancho=fancho-eancho-3*margenx;
xalto=ealto;
xposicion=[2*margenx+eancho eposicion(2) xancho xalto];

%texto por encima de ecuaciones
t3ancho=xancho;
%t3alto=24;
t3alto=t1alto;
t3posicion=[xposicion(1) t2posicion(2) t3ancho t3alto];

%posicion del cuadro donde aparecen las variables
vancho=eancho;
%valto=60;
valto=0.1*falto;
vposicion=[margenx margeny vancho valto];

%texto por encima de las variables
t4ancho=vancho;
%t4alto=24;
t4alto=t1alto;
t4posicion=[margenx 2*margeny+valto t4ancho t4alto];

%Crear dilogo
h0 = figure('Color',[0.8 0.8 0.8], ...
   'Colormap',mat0, ...
   'CreateFcn','ActivarBarraMenu(''off'');',...
   'DeleteFcn','ActivarBarraMenu(''on'');',...
   'numbertitle','off', ...
   'name','Incidence Matrices and Equations', ...
   'MenuBar','none', ...
	'FileName','D:\MatLab\work\nuevo interfaz\InterfazMatriz.m', ...
	'PaperPosition',[18 180 576 432], ...
   'PaperUnits','points', ...
   'Units','pixels',...
	'Position',fposicion, ...
	'Tag','IM', ...
	'ToolBar','none');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'CameraUpVector',[0 1 0], ...
	'Color',[1 1 1], ...
	'ColorOrder',mat1, ...
	'Position',eposicion, ... %[36 121 416 383], ...
	'Tag','IMEjes', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
   'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
   'Color',[0 0 0], ...
   'FontSize',10, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4987951807228916 -0.06282722513089012 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
   'Color',[0 0 0], ...
   'FontSize',10, ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.06987951807228916 0.4973821989528796 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.08674698795180723 1.287958115183246 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4987951807228916 1.018324607329843 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
%fin de los ejes

%inicio de mis controles
h1 = uicontrol('Parent',h0, ...		%barra superior
	'Units','pixels', ...
	'BackgroundColor',[0 0.501960784313725 1], ...
	'FontSize',10, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',t1posicion,... %[27 420 543 21], ...
	'Style','text', ...
   'Tag','IMMensaje');
h1 = uicontrol('Parent',h0, ...		%barra con el ttulo MATRIZ INCIDENCIA
	'Units','pixels', ...
	'BackgroundColor',[0 0.501960784313725 1], ...
	'FontSize',10, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',t2posicion,... %[27 385.5 313.5 21], ...
	'String','INCIDENCE MATRIX', ...
	'Style','text', ...
   'Tag','StaticText1');

h1 = uicontrol('Parent',h0, ...	%cuadro donde aparecen las ecuaciones
	'Units','pixels', ...
   'BackgroundColor',[1 1 1], ...
   'FontSize',10,...
   'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',xposicion,... %[352.5 90 215.25 287.25], ...
	'Style','text', ...
	'Tag','IMEcuaciones');
h1 = uicontrol('Parent',h0, ... %barra con el ttulo ecuaciones
	'Units','pixels', ...
	'BackgroundColor',[0 0.501960784313725 1], ...
	'FontSize',10, ...
   'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',t3posicion,... %[352.5 387 216.75 20.25], ...
	'String','EQUATIONS', ...
	'Style','text', ...
   'Tag','StaticText4');

h1 = uicontrol('Parent',h0, ...	%texto VARIABLES
	'Units','pixels', ...
	'BackgroundColor',[0 0.501960784313725 1], ...
	'FontSize',10, ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',t4posicion,... %[23.25 48 315.75 21.75], ...
	'String','VARIABLES', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','pixels', ...
	'BackgroundColor',[1 1 1], ...
    'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',vposicion,...%[23.25 13.5 315 26.25], ...
	'Style','text', ...
    'Tag','IMVariables');

h1 = uicontrol('Parent',h0, ... %BOTON siguiente
	'Units','pixels', ...
   'BackgroundColor',[0.925490196078431 0.913725490196078 0.847058823529412], ...
   'Callback','uiresume',...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[fancho-margenx-58 vposicion(2) 58 20], ...
	'String','>>', ...
	'Tag','IMSiguiente');
if nargout > 0, fig = h0; end
