function fig = InterfazOpciones()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

load InterfazOpciones

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','InterfazOpciones.m', ...
   'MenuBar','none', ...
   'NumberTitle','off',...
   'Name','Options',...
	'PaperPosition',[18 180 576 575], ...
   'PaperUnits','points', ...
   'Units','points',...
	'Position',[400 200  300 352], ...
	'Tag','IO', ...
   'ToolBar','none');

%---------------------
%---OPCIONES VARIAS---
%---------------------

h1 = uicontrol('Parent',h0, ...	%Marco que rodea a todo
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',12, ...
   'Position',[5 253 290 93], ...
   'Style','frame', ...
   'HorizontalAlignment','left');

h1 = uicontrol('Parent',h0, ...	%Checkbox activar alias
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[10 326 280 15], ...
	'String','Activate Alias', ...
	'Style','checkbox', ...
   'Tag','IOAlias');

h1 = uicontrol('Parent',h0, ...	%Checkbox Matrices de Incidencia
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[10 306 280 15], ...
	'String','View Incidence Matrices', ...
	'Style','checkbox', ...
   'Tag','IOMatrices');

h1 = uicontrol('Parent',h0, ...	%Texto de Pantelides
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'Position',[10 284 175 15], ...
	'String','Pantelides Depth', ...
	'Style','text');

h1 = uicontrol('Parent',h0, ...	%Edit de Pantelides
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
   'HorizontalAlignment','right',...
	'Position',[190 284 100 21], ...
	'Style','edit', ...
   'Tag','IOPantelides');

h1 = uicontrol('Parent',h0, ...	%Texto del del no edo
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 258 175 15], ...
	'String','Number of points in no-edo systems', ...
	'Style','text');

h1 = uicontrol('Parent',h0, ...	%Edit del no edo
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
   'ListboxTop',0, ...
   'HorizontalAlignment','right',...
	'Position',[190 258 100 21], ...
	'Style','edit', ...
   'Tag','IONoEdo');

%-----------------
%---DIRECTORIOS---
%-----------------

h1 = uicontrol('Parent',h0, ...	%Marco que rodea a todo
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',12, ...
   'Position',[5 191 290 57], ...
   'Style','frame', ...
   'HorizontalAlignment','left');

h1 = uicontrol('Parent',h0, ...	%Texto del directorio de trabajo
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 221 125 15], ...
	'String','Working Directory Path', ...
	'Style','text');

h1 = uicontrol('Parent',h0, ...	%Edit del directorio de trabajo
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[140 221 150 21], ...
   'Style','edit', ...
   'HorizontalAlignment','left',...
   'Tag','IODirTrabajo');

h1 = uicontrol('Parent',h0, ...	%Texto del directorio de la libreria
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[10 196 95 15], ...
	'String','Library Path', ...
	'Style','text');

h1 = uicontrol('Parent',h0, ...	%Edit del directorio de la libreria
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
	'Position',[140 196 150 21], ...
   'Style','edit', ...
   'HorizontalAlignment','left',...
   'Tag','IODirLibreria');

%----------------------------------------
%---OPCIONES DEL METODO DE INTEGRACION---
%----------------------------------------

h1 = uicontrol('Parent',h0, ...	%Marco que rodea a todo
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',12, ...
   'Position',[5 51 290 135], ...
   'Style','frame', ...
   'HorizontalAlignment','left');

h1 = uicontrol('Parent',h0, ...	%Popupmenu
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
   'Position',[110 160 180 21], ...
   'String',{'ode45' 'ode15s'},...
   'Style','popupmenu', ...
   'HorizontalAlignment','left',...
   'Tag','IOMetodoIntegracion');

h1 = uicontrol('Parent',h0, ...	%Texto Popup
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
   'Position',[10 160 95 15], ...
	'String','Integration Method', ...
	'Style','text');

h1=uicontrol('Parent',h0, ...	%RelTol
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
   'Position',[110 134 180 21], ...
   'String','1e-3',...
   'Style','edit', ...
   'HorizontalAlignment','right',...
   'Tag','IORelTol');

h1 = uicontrol('Parent',h0, ...	%Texto RelTol
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
   'Position',[10 134 95 15], ...
	'String','RelTol', ...
	'Style','text');

h1=uicontrol('Parent',h0, ...	%AbsTol
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
   'Position',[110 108 180 21], ...
   'String','1e-6',...
   'Style','edit', ...
   'HorizontalAlignment','right',...
   'Tag','IOAbsTol');

h1 = uicontrol('Parent',h0, ...	%Texto AbsTol
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
   'Position',[10 108 95 15], ...
	'String','AbsTol', ...
	'Style','text');

h1=uicontrol('Parent',h0, ...	%MaxStep
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
   'Position',[110 82 180 21], ...
   'String','',...
   'Style','edit', ...
   'HorizontalAlignment','right',...
   'Tag','IOMaxStep');

h1 = uicontrol('Parent',h0, ...	%Texto MaxStep
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
   'Position',[10 82 95 15], ...
	'String','MaxStep', ...
	'Style','text');

h1=uicontrol('Parent',h0, ...	%InitialStep
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',12, ...
	'ListboxTop',0, ...
   'Position',[110 56 180 21], ...
   'String','',...
   'Style','edit', ...
   'HorizontalAlignment','right',...
   'Tag','IOInitialStep');

h1 = uicontrol('Parent',h0, ...	%Texto InitialStep
	'Units','points', ...
	'BackgroundColor',[0.9 0.9 0.9], ...
	'FontSize',10, ...
	'HorizontalAlignment','left', ...
   'Position',[10 56 95 15], ...
	'String','InitialStep', ...
	'Style','text');

%-------------------------------
%---BOTONES SALVAR Y CANCELAR---
%-------------------------------

h1 = uicontrol('Parent',h0, ...	%Boton Salvar
	'Units','points', ...
   'BackgroundColor',[0.925490196078431 0.913725490196078 0.847058823529412], ...
   'CallBack','CBIOCerrar(1)',...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[73 13.5 72 27], ...
	'String','Save', ...
   'Tag','IOSalvar');
h1 = uicontrol('Parent',h0, ...	%Boton Cancelar
	'Units','points', ...
   'BackgroundColor',[0.925490196078431 0.913725490196078 0.847058823529412], ...
   'CallBack','CBIOCerrar(0)',...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[155 13.5 72 27], ...
	'String','Cancel', ...
	'Tag','IOCancelar');
if nargout > 0, fig = h0; end
