%Guarda los valores de esta sesin que son utiles para otras funciones
%10/9/03 Antonio Belmonte


%Formas de llamar a esta funcion
%1) Registro('guardar','parametro',valor)
%2) valor=Registro('recuperar','parametro')
%donde parametro puede ser:
%		'fichero' nombre del fichero que se simula
%		'ruta' ruta del fichero que se simula
function varargout=Registro(accion,varargin)
%inicializar registro
%el registro tiene la forma:
%	reg(i).nombre=cadena que describe esta entrada
%	reg(i).valor=valor asociado a la entrada
persistent reg

%guardar, recuperar del registro
switch accion
case 'guardar'
   %buscar el parametro
   if isempty(reg)
      pos=[];
   else
      pos=find(strcmp({reg.nombre},varargin{1}));
   end
   
   %guardarlo
   if isempty(pos)
      indice=length(reg)+1;
      reg(indice).nombre=varargin{1};
      reg(indice).valor=varargin{2};
   else
      reg(pos).valor=varargin{2};
   end
      
case 'recuperar'
   %buscar el parametro
   if isempty(reg)
      pos=[];
   else
      pos=find(strcmp({reg.nombre},varargin{1}));
   end
   
   %recuperar el valor del parametro
   if isempty(pos)
      varargout{1}=[];
   else
      varargout{1}=reg(pos).valor;
   end    
end