model mecanico
	import m=mecanica;
	m.muelle k1(k=0.5),k2(k=0.5);
	m.viscoso v1s(b=0.1),v2s(b=0.1),v12(b=0.1),v13(b=0.1),v23(b=0.1);
	m.pared suelo(x0=0);
	m.masa1 m1(m=1),m2(m=5),m3(m=8,x.start=3);
equation
	//conexiones con el suelo
	connect(suelo.p1,v2s.p2);
	connect(suelo.p1,k2.p2);
	connect(suelo.p1,v1s.p2);
	connect(suelo.p1,k1.p2);

	//conexiones con la masa1
	connect(v1s.p1,m1.p1);
	connect(k1.p1,m1.p1);
	connect(v12.p1,m1.p1);
	connect(v13.p2,m1.p1);

	//coneciones con la masa2
	connect(v2s.p1,m2.p1);
	connect(k2.p1,m2.p1);
	connect(v12.p2,m2.p1);
	connect(v23.p2,m2.p1);

	//conexiones con la masa3
	connect(v23.p1,m3.p1);
	connect(v13.p1,m3.p1);	

end mecanico;