/* sistema de indice 3:
 * 	x''''+y'''+u''=a
 * 	x''+u'=3*cos(t)
 *	u=2*sin(t)
 *	y'+u=t
 */
model indice3f
	Real a,x,dx,d2x,d3x,y,dy,d2y,u,du;
equation

	der(x)=dx;
	der(dx)=d2x;
	der(d2x)=d3x;
	der(y)=dy;
	der(dy)=d2y;
	der(u)=du;


	der(d3x)+der(d2y)+der(du)=a;
	d2x+du=3*cos(time);
	u=2*sin(time);
	dy+u=time;
end indice3f;