model circuito "circuito rc con dos condensadores en paralelo"
	parameter Real R1=1e3, C1=1e-6, C2=1e-6;
	Real u0,ur,uc1,uc2,i,ir,ic1,ic2;
equation
	u0=sin(5*time);
	ur=R1*ir;
	ic1=C1*der(uc1);
	ic2=C2*der(uc2);
	u0=ur+uc1;
	uc1=uc2;
	i=ic1+ic2;
	i=ir;
end circuito;

