%Entrada:
%	fichero=ruta y nombre del fichero donde estn las ecuaciones
%Salida:
%	ENTORNO: estructura entorno donde se ha definido los siguientes campos
%		infoVars
%		infoMatrizIncidencia
%		alias
%		ecuaciones
%		bloques
%	error=cadena que describe el error que se ha producido	
function MatrizIncidencia(fichero)
%declarar ENTORNO
global ROOT ENTORNO

%leer el fichero ecuaciones del fichero
Parser(fichero);

%seleccion del modelo a compilar
hf=InterfazSeleccionModelo;
uiwait(hf);

%Si no hay seleccion => mostrar un error
iClase=ROOT.iclase;
if isempty(iClase)
    return;
   %ROOT.merr='$16$';
   %error(ROOT.merr);
end

%hacer flatenning a la clase
FlatteningClase(iClase);

%generar el entorno bsico para empezar a trabajar
GenerarEntorno(iClase);
%%%%%%%%%%%%%%%%%%%%%%%%%
% Jorge: ESTO LO HE PUESTO PARA QUE NO SE VEA EN PANTALLA
%%%%%%%%%%%%%%%%%%%%%%%%%
ENTORNO;
%Generar las variables de las ecuaciones
GenerarVarsEcuaciones;
%%%%%%%%%%%%%%%%%%%%%%%%%
% Jorge: ESTO LO HE PUESTO PARA QUE NO SE VEA EN PANTALLA
%%%%%%%%%%%%%%%%%%%%%%%%%
ENTORNO;

%quitar los alias
EliminarAlias;

%aplicar Pantelides
Pantelides; 

%construir los bloques de la matriz de incidencia ordenada
GenerarBloques;

%Ver el sistema resultante
verEntornoFichero('iaembv');
