%Entrada:
%	infoVars=estructura infoVars donde se va a buscar var
%	var=nombre de la variable a buscar
%Salida
%	posicion=lugar que ocupa var en infoVars
%Descripcion:
%	Busca var en la estructura infoVars y devuelve su posicion
%21/07/07 Antonio Belmonte
function indices=BuscarVarInfo(infoVars,nombre)
%Buscar la variable
if ~iscell(nombre)
   %convertilo en celda
   nombre={nombre};
end

%buscar los repetidos
[rep,P]=sort([{infoVars.expresion} nombre]);
J=find(strcmp({rep{1:end-1}},{rep{2:end}}));

%obtener los ndices en A
indA=P(J); 

%obtener los ndices en B
indB=P(J+1)-length(infoVars);
[aux,Q]=sort(indB);

%escribir la solucion con los ndices ordenados como vienen en B
indices=indA(Q);
