function indices=ObtenerIndiceVars(infoVars,tipo)
%inicializar
indices=[];

%si tipo es char convertirlo en celda
if ischar(tipo)
   tipo={tipo};
end

%buscar indices
lista={infoVars.tipo};
for i=1:length(tipo)
   switch tipo{i}
   case 'algebraica'
      %las variables algebraicas= {reales} - {derivadas de estados}
      ireales=find(strcmp(lista,'real'));
      iestados=find(strcmp(lista,'estado'));
      
      %obtener el nombre de las derivadas de los estados
      lvars1={};
      for i=1:length(iestados)
         lvars1{end+1}=['der(' infoVars(iestados(i)).expresion ')'];
      end
      
      %obtener las algebraicas
      for i=1:length(ireales)
         var=infoVars(ireales(i)).expresion;
         ind=find(strcmp(lvars1,var));
         
         %Si no encontrada => es algebraica
         if isempty(ind)
            indices(end+1)=ireales(i);
         end
      end   
         
   case 'derivadas'
   	%devuelve las variables que son derivadas de los estados      
      ireales=find(strcmp(lista,'real'));
      iestados=find(strcmp(lista,'estado'));
      
      %obtener el nombre de las derivadas de los estados
      lvars1={};
      for i=1:length(iestados)
         lvars1{end+1}={['der(' infoVars(iestados(i)).expresion ')']};
      end
      
      %obtener las derivadas de los estados
      for i=1:length(ireales)
         var=infoVars(ireales(i)).expresion;
         ind=find(strcmp(lvars1,var));
         
         %Si encontrada => es derivada de estado
         if ~isempty(ind)
            indices(end+1)=ireales(i);
         end
      end
      
   otherwise
      %comportamiento normal
      ind=find(strcmp(lista,tipo{i}));
      
      %copiar los indices
   	if ~isempty(ind)
      	indices(end+1:end+length(ind))=ind;
   	end
   end
end
