%Entrada:
%	entorno: estructura entorno
%	tipo: tipo de variables a obtener
%Salida:
%	lista: lista del nombre de las variables
%Descripcion:
%	Obtiene el nombre de las variables de un tipo determinado
function lista=ObtenerListaVarsSustituidas(entorno,tipo)
%inicializar
lista={};

%buscar indice del tipo 'tipo'
posicion=find(strcmp({entorno.infoVars.tipo},tipo));

%devolver la lista
if isempty(posicion)
   lista={};
else
   lista={entorno.infoVars(posicion).sustituida};
end

