package electronica
	partial class AOPIdeal
		import lib=electrica;
		parameter Real G=1e5;
		parameter Real FREC=10;
		parameter Real PI=3.1415926;
		lib.puerto p,n,q;
		Real verror,vout(start=0),iout;
	equation
		//ecuaciones de la entrada
		verror=p.v-n.v;
		p.i=0;
		n.i=0;
		
		//ecuaciones de la salida
		der(vout)/(2*PI*FREC)+vout=G*verror;
		q.v=vout;
		q.i=iout;
	end AOPIdeal;
end electronica;		