%Pinta una variable simulada
function CBPintarVariable
%declarar ENTORNO
global ENTORNO

%encontrar Ejes y Lista
ejes=findobj('Tag','ISEjes');
lista=findobj('Tag','ISLista');

%obtener el indice de la variable a pintar
indice=get(lista,'value');

%obtener la lista de variables a simular
variablesSimular=Registro('recuperar','variables simular');

%buscamos si ya est la variable en la la lista de variables
%si es as, no se aade a la lista
pos=0;
for i=1:length(variablesSimular)
   if variablesSimular(i)==indice
      pos=i;
      break;
   end
end

%si no esta la nueva variable en la lista de variables a simular, se aade
%y se pinta la lista entera
if (pos==0) & (length(ENTORNO.sol)>=1) 
   %poner el nuevo indice
   variablesSimular(end+1)=indice;
   
   %guardar las variables a simular en el registro
   Registro('guardar','variables simular',variablesSimular);
   
   %poner los ejes
   axes(ejes);
   
   %pintamos las curvas
	arg='plot(ENTORNO.t,ENTORNO.sol(variablesSimular(1)).valor';
	for i=2:length(variablesSimular)
	  	arg=[arg sprintf(',ENTORNO.t,ENTORNO.sol(variablesSimular(%d)).valor',i)];
	end
	arg=[arg ');'];
	eval(arg);
   
   %ponemos las rejillas
   grid on
   
	%poner la etiqueta del eje x
   xlabel('t');
   
   %poner el tag del eje(porque plot la borra)
	set(ejes,'Tag','ISEjes');

	%poner las leyendas. Debido a que legend no admite un solo argumento
   %hay que hacerlo de esta manera.
   if length(variablesSimular)==1
      %poner la etiqueta
      ylabel(ENTORNO.sol(variablesSimular(1)).variable);
   else
      %pinttar la leyenda de todas las variables
		arg='legend(ENTORNO.sol(variablesSimular(1)).variable';
		for i=2:length(variablesSimular)
			arg=[arg sprintf(',ENTORNO.sol(variablesSimular(%d)).variable',i)];
		end
		arg=[arg ');'];
      eval(arg);
   end
end
