%03/07/04
%Compilar un sistema de ecuaciones
function compilar
%declarar ENTORNO
%global ROOT 
global ENTORNO

%obtener el fichero y su ruta
fichero=Registro('recuperar','fichero');
ruta=Registro('recuperar','ruta');

if isempty(fichero) || isempty(ruta)
   %no hay fichero para simular
   return
end

%Empezar a compilar
%try
   %leer el directorio actual
	actualcd=cd;   
   
   %--------------------------
   %---GENERAR ROOT y ENTORNO-
   %--------------------------
   MatrizIncidencia([ruta fichero]);
   
	%---------------------------   
	%---GENERAR EL EJECUTABLE---
	%---------------------------

	%construir las funciones de los bloques implicitos 
	for i=1:length(ENTORNO.bloques)
   	if strcmp(ENTORNO.bloques(i).tipo,'implicito')
   	   nombreBloque=['FnBloque' num2str(i)];
      	clear (nombreBloque);
      	ConstruirFuncionBloque(i,nombreBloque,ruta);
	   end
	end

	%construir la funcion que llamara a la edo (BaseEdo)
	nombreEdo='fun_edo';
	nombreBaseEdo='BaseEdo';
	clear(nombreBaseEdo);
	ConstruirBaseEdo(nombreBaseEdo,nombreEdo,ruta);

	%construir la edo con nombreEdo='fun_edo';
	clear(nombreEdo);
    ConstruirEdo(nombreEdo,ruta);
   
	%construir la no edo
	nombreNoEdo='fun_noedo';
	clear(nombreNoEdo);
    ConstruirNoEdo(nombreNoEdo,ruta);
   
	%cambiar el directorio
	cd (actualcd);

	%salvar los datos en el registro
	Registro('guardar','nombreBaseEdo',nombreBaseEdo);
	Registro('guardar','nombreEdo',nombreEdo);
	Registro('guardar','nombreNoEdo',nombreNoEdo);

	%activar el men de simular
	ActivarMenu('IPCargarArchivo','on');
	ActivarMenu('IPCompilar','on');
	ActivarMenu('IPSimular','on');

%catch
   %manejo de errores
   %GestionErrores;
%end