model aop2
	import lib1=electronica;
	import lib2=electrica;
	
	lib2.Tierra t;
	lib2.Fuente f(VA=1,FREC=1e3);
	lib2.Resistencia r1(R=1e3);
	lib2.Condensador c1(C=1e-6);
	lib1.AOPIdeal aop;
equation
	//conectar la tierra
	connect(t.p,f.n);
	connect(t.p,aop.p);
	
	//conectar la fuente
	connect(f.p,r1.p);
	
	//conectar la r1
	connect(r1.n,c1.p);
	connect(r1.n,aop.n);
	
	//conectar la r2
	connect(c1.n,aop.q);
end aop2;