model doble_rebote
	constant  Real g=9.81;
	parameter Real k=0.8;
	parameter Real h=5;
	Real y(start=10),vy(start=0);
equation
	der(y)=vy;
	der(vy)=-g;

	when y<0 then
		reinit(y,0);
		reinit(vy,-k*vy);
	elsewhen y>h then
		reinit(y,h);
		reinit(vy,-k*vy);
	end when;

end doble_rebote;