model pendulo
	constant Real g=9.8;
	parameter Real k=0.8;
	parameter Real L=5;
	parameter Real m=1;
	parameter Real x0=-3,x1=3;
	Real x,y,teta(start=1),w(start=0);
equation
	der(teta)=w;
	x=L*sin(teta);
	y=-L*cos(teta);
	L*der(w)=-g*sin(teta);

	//vamos a poner un tope a y
	when {x>x1, x<x0} then
		reinit(w,-k*w);
	end when;
end pendulo;