// Pelota Rebotando
model Pelota
	constant Real g=9.81,k=0.8;
	parameter Real m=1;
	Real y(start=10),vy(start=0);
equation
	when y<0 then
		//este reinit hace que la pelota no se vaya al infinito
		reinit(y,0); 
		reinit(vy,-k*vy);
	end when;

	der(y)=vy;
	der(vy)=-g;
end Pelota;