class pendulo
	parameter Real L=1;
	parameter Real m=1;
	parameter Real g=9.81;
	Real ax,ay,T;
	Real x(start=0.70710678),y(start=-0.70710678);
	Real vx(start=0),vy(start=0);
equation
	ax=-T*x/(m*L);
	ay=-T*y/(m*L)-g;
	x^2+y^2=L^2;
	der(x)=vx;
	der(y)=vy;
	der(vx)=ax;
	der(vy)=ay;
end pendulo;