%Entrada:
%	pref1: prefijo1 que puede ser 'constant', 'parameter' ,'discrete', 'flow', ''
%	pref2: prefijo2 que puede ser 'constant', 'parameter' ,'discrete', 'flow', ''
%Salida:
%	pref: combina pref1 y pref2 segn la regla:
%			'constant'>'parameter'>'discrete'>'flow'
function pref=CombinarPrefijo(pref1,varargin)
%inicializar
lPrefijos={'constant','parameter','discrete','flow',''};

%buscar pref1
v1=find(strcmp(lPrefijos,pref1));
if isempty(v1)
   v1=5;
end

%recorrer varargin
for i=1:length(varargin)
	%buscar pref2
	v2=find(strcmp(lPrefijos,varargin{i}));
	if isempty(v2)
   	v2=5;
	end

	%nos quedamos con el ms pequeo
   if v2<v1
      v1=v2;
   end
end

%poner el prefijo de salida
pref=lPrefijos{v1};
