%Entrada:
%	ROOT
%	iComponente: indice del componente
%	id: identificador
%Salida:
%	posicion: [] si no encontrado
%				 indice del componente
%Descripcion:
%	busca si existe un sub-componente de iComponente llamado id
function posicion=LookupComponenteEnComponente(iComponente,id)
%declarar ROOT
global ROOT

%inicializar
posicion=[];
componente=ROOT.componente(iComponente).hijo; %vector de componentes de la clase

%buscar en componentes de la clase
for i=1:length(componente)
   if strcmp(ROOT.componente(componente(i)).nombre,id)
      posicion=componente(i);
      return
   end
end
