%Salida:
%	iModification: indice a ROOT.modificacion o [] con la siguiente estructura
%			modificacion.expresion='';
%			modificacion.valor=nan;
%			modificacion.argumento=contenido de la modificacion si existe
%Descripcion:
%	Procesa la regla:	class_modification => '(' [argumentos] ')'
%							argumentos => argumento {',' argumento }
%							argumento => (name | id) modification comment
%						
function iModificacion=class_modification
%declarar ROOT
global ROOT

%procesar regla
match('pabierto', '@12');

%ver si hay argumentos, para ello se debe ver un {id , name}
tk=peek;
if any(strcmp({'id' 'name'},tk))
   %preparar la estructura modificacion
   iModificacion=length(ROOT.modificacion)+1;
   ROOT.modificacion(iModificacion).expresion='';
   ROOT.modificacion(iModificacion).valor=nan;
   ROOT.modificacion(iModificacion).argumento=[];   
      
   %Leer argumento {',' argumento }
   argumento=[];
   while 1
      [tk,s]=match({'id' 'name'},'@34');
      isubModificacion=modification;
      
      %si hay modificacion => guardarla
      if ~isempty(isubModificacion)
         pos=length(ROOT.modificacion(iModificacion).argumento)+1;
         ROOT.modificacion(iModificacion).argumento(pos).referencia=s;
         ROOT.modificacion(iModificacion).argumento(pos).modificacion=isubModificacion;
      end
      
      %leer comentario
      comment;
      
      %leer [',']
      epsilon=matchEpsilon('coma','@10');
      if epsilon,break,end
   end
   
   %si no hay argumentos => estructura vaca
   if isempty(ROOT.modificacion(iModificacion).argumento)
	   %no hay contenido
   	iModificacion=[];
   end
   
else
   %no hay contenido
   ROOT.merr='@34';
   iModificacion=[];
end

%leer ')'
match('pcerrado','@13');
