function lugarComponente=component_clause
%declarar root como global
global ROOT

%inicializar
lugarComponente=[];

%leer [prefijo]
[epsilon,tk]=matchEpsilon({'flow' 'parameter' 'constant'},'@2');
if epsilon
   prefijo='';
else
   prefijo=tk;
end

%leer el especificador
[tk,s]=match({'id','name', 'Real'},'@3');
especificador=s;

%leer la lista de declaraciones de variables
while 1
   %leer un id
   [tk,s]=match('id','@15');
   nombre=s;
   
   %leer modificaciones
   [tk,s,linea]=peek;
   switch tk
   case {'pabierto' 'igual'}
      lugarModificacion=modification;
   otherwise
      lugarModificacion=[];
      ROOT.merr=[ROOT.merr '@21'];
   end
  
   %crear variable
   lc=length(ROOT.componente)+1;
   ROOT.componente(lc).prefijo=prefijo;
   ROOT.componente(lc).especificador=especificador;
   ROOT.componente(lc).iespecificador=[];
   ROOT.componente(lc).nombre=nombre;
   ROOT.componente(lc).hijo=[];
   ROOT.componente(lc).modificacion=lugarModificacion;
   ROOT.componente(lc).valor=nan;
   ROOT.componente(lc).almacenado='';
   ROOT.componente(lc).instanciada=0;
   ROOT.componente(lc).aplicadaModificacion=0;
   
   %guardar el indice del componente
   lugarComponente(end+1)=lc;
   
   %leer el comentario
   comment;
   
 	%leer una coma
   epsilon=matchEpsilon('coma','@10'); 
   if epsilon,break,end   
end

%Leer ';'
match('puntoycoma','@9');

