function VerRoot(varargin)
%declarar ROOT
global ROOT

if ~nargin
   %mostar todas las clases que cuelgan de la raiz
	for i=1:length(ROOT.clase(1).hijo)
   	MostrarClase(ROOT.clase(1).hijo(i),0);
   end
elseif nargin==1
   %mostrar solo una clase
   MostrarClase(varargin{1},0);
end

%---------------------------------------------------------------------------------------------------------
function MostrarClase(lugarClase,sangrado)
%declarar ROOT
global ROOT

%Crear la cadena de sangrado
cadena=char(32*ones(1,sangrado));
   
%Mostrar la info
disp([cadena 'Nombre: ' ROOT.clase(lugarClase).nombre]);
disp([cadena 'Tipo: ' ROOT.clase(lugarClase).tipo]);
disp([cadena 'Padre: ' num2str(ROOT.clase(lugarClase).padre)]);
disp([cadena 'Yo: ' num2str(ROOT.clase(lugarClase).yo)]);
disp([cadena 'Instanciada:' num2str(ROOT.clase(lugarClase).instanciada)]);
disp([cadena 'Clases: ']);
for i=1:length(ROOT.clase(lugarClase).hijo)
   MostrarClase(ROOT.clase(lugarClase).hijo(i),length('Clases: ')+sangrado);
end
disp([cadena 'Variables: ']);
MostrarComponente(ROOT.clase(lugarClase).componente,length('Variables: ')+sangrado);   

%-----------------------------------------------------------------------------------------------------------
function MostrarComponente(lugarComponente,sangrado)
%declarar ROOT
global ROOT

%crear sangrado
cadena=char(32*ones(1,sangrado));

%ver variables
for i=1:length(lugarComponente)
   disp([cadena 'prefijo: ' ROOT.componente(lugarComponente(i)).prefijo]);
   disp([cadena 'especificador: ' ROOT.componente(lugarComponente(i)).especificador]);
   disp([cadena 'nombre: ' ROOT.componente(lugarComponente(i)).nombre]);
   disp([cadena 'almacenado: ' num2str(ROOT.componente(lugarComponente(i)).almacenado)]);
   disp([cadena 'valor: ' num2str(ROOT.componente(lugarComponente(i)).valor)]);
   disp([cadena 'instanciada: ' num2str(ROOT.componente(lugarComponente(i)).instanciada)]);
   disp([cadena 'aplicadaModificacion: ' num2str(ROOT.componente(lugarComponente(i)).aplicadaModificacion)]);
   disp([cadena 'modificacion: ']);
   MostrarModificacion(ROOT.componente(lugarComponente(i)).modificacion,sangrado+3,3);
   disp([cadena 'campos: ']);
   MostrarComponente(ROOT.componente(lugarComponente(i)).hijo,sangrado+length('campos')+3);
   disp(' ');
end

%----------------------------------------------------------------------------------------------------------------
function MostrarModificacion(lugarModificacion,sangrado,desplz)
%declarar ROOT
global ROOT

if ~isempty(lugarModificacion)
	%ver modificacion
	disp([char(32*ones(1,sangrado)) 'expresion: ' num2str(ROOT.modificacion(lugarModificacion).expresion)]);
	for i=1:length(ROOT.modificacion(lugarModificacion).argumento)
      disp([char(32*ones(1,sangrado+desplz)) 'referencia: ' ...
            ROOT.modificacion(lugarModificacion).argumento(i).referencia]);
      MostrarModificacion(ROOT.modificacion(lugarModificacion).argumento(i).modificacion,...
         sangrado+desplz,desplz);
	end
end
